Subject: RE: [Diffserv] RE: Differences between DSMON-MIB and DIFFSERV-MIB

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Tue, 6 Nov 2001 21:25:08 +0200

> >So, would the following DS-MON MIB changes be satisfactory?
> >
> >- Rename the *DS-MON aggregation* to something else to avoid 
> confusion
> >with the *diffserv aggregates*
> >- Support the *diffserv aggregates*, maybe by mapping the 
> rename *DS-MON
> >aggregates* into the *diffserv aggregates*
> >
> >If the answer is yes, we still need to hear the opinion of the DS-MON
> >MIB author. I am just looking at it from the perspective of the
> >implementation of DS-MON together with other RMON family protocols.
> 
> 
> I understand edit #1, but not #2.
> Any clarifications are fine with me.
> I will spin the draft before the I-D cutoff, and rename things to
> make it clear the agent is aggregating counters, totally unrelated to
> the concept of a diffserv aggregate.
> 
What I originally had in mind at #2 was somehow importing the path
concept from the DiffServ MIB and providing a mapping table. I was
probably superficial, a more attentive analysis seems to show that there
is no one-to-one relations, at least when different devices run the
probe and the router, and this connection needs to be left for the
application. I would say that Andy's proposed edits at #1 are probably
enough on what the DS-MON MIB is concerned.

Regards.

Dan

_______________________________________________
diffserv mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/diffserv
Archive: http://www2.ietf.org/mail-archive/working-groups/diffserv/current/maillist.html

---

From: "Andrew Smith" <[email-masked]>
Date: Wed, 7 Nov 2001 17:54:07 -0800

Dan,

That (#2) was roughly what I had in mind also. To take the two
implementation cases separately:

1. Probe implemented standalone: no reason why the probe could not set up
"datapaths" for the sole purpose of monitoring traffic. The "front-end" of
the DSMON MIB could very well use the current Diffserv MIB. There is  the
benefit of commonality of setup by managers at the expense of additional
complexity when compared to a dedicated MIB (that's nearly always true). So
I believe that your concern about deciding on a mapping should be easily
dealt with.

2. Probe implemented inside Diffserv switch/router: front-end of the DSMON
MIB would beenfit from using the same MIB as the switch/router functions.
Reduced complexity when compared to an additional DSMON-specific frint-end;
same benefits as #1.

Based on this analysis, I think the RMON WG should look seriously at what
products its members intend to build and evaluate the tradeoffs above. I'm
not intending to build any products using this MIB so I don't have a leg to
stand on here .... at this point I'll shut up and let others argue this
further if they want to.

Andrew Smith

-----Original Message-----
From: Romascanu, Dan (Dan) [mailto:[email-masked]]
Sent: Tuesday, November 06, 2001 11:25 AM
To: Andy Bierman
Cc: Brian E Carpenter; [email-masked]; Harrie Hazewinkel;
[email-masked]; Diffserv
Subject: RE: [Diffserv] RE: Differences between DSMON-MIB and
DIFFSERV-MIB

Regards.

Dan